Module java.base
Package java.nio.file.attribute

## Interface FileAttribute<T>

Type Parameters:
  `T` - The type of the file attribute value

    public interface FileAttribute<T>

An object that encapsulates the value of a file attribute that can be set atomically when creating a new file or directory by invoking the `createFile` or `createDirectory` methods.

Since:
  1.7
See Also:
  `PosixFilePermissions.asFileAttribute(java.util.Set<java.nio.file.attribute.PosixFilePermission>)`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `name()` Returns the attribute name.
`T` `value()` Returns the attribute value.

### Method Detail

#### name

    String name()

Returns the attribute name.

Returns:
  The attribute name

#### value

    T value()

Returns the attribute value.

Returns:
  The attribute value